[android-components](../../index.md) / [mozilla.components.service.glean.private](../index.md) / [UuidMetricType](index.md) / [set](./set.md)

# set

`fun set(value: `[`UUID`](https://developer.android.com/reference/java/util/UUID.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/glean/src/main/java/mozilla/components/service/glean/private/UuidMetricType.kt#L55)

Explicitly set an existing UUID value

### Parameters

`value` - a valid [UUID](https://developer.android.com/reference/java/util/UUID.html) to set the metric to